<div>
  <h2 id="page-heading" data-cy="MetadataHeading">
    <span csiTranslate="microscopyuploadApp.metadata.home.title">Metadata</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadPage()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span csiTranslate="microscopyuploadApp.metadata.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-metadata"
        [routerLink]="['/metadata/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span csiTranslate="microscopyuploadApp.metadata.home.createLabel"> Create a new Metadata </span>
      </button>
    </div>
  </h2>

  <csi-alert-error></csi-alert-error>

  <csi-alert></csi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="metadata?.length === 0">
    <span csiTranslate="microscopyuploadApp.metadata.home.notFound">No metadata found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="metadata && metadata.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr csiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="loadPage()">
          <th scope="col" csiSortBy="id"><span csiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
          <th scope="col" csiSortBy="cellLine">
            <span csiTranslate="microscopyuploadApp.metadata.cellLine">Cell Line</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" csiSortBy="antibodiesUsed">
            <span csiTranslate="microscopyuploadApp.metadata.antibodiesUsed">Antibodies Used</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" csiSortBy="fixationConditions">
            <span csiTranslate="microscopyuploadApp.metadata.fixationConditions">Fixation Conditions</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" csiSortBy="experimentalInvention">
            <span csiTranslate="microscopyuploadApp.metadata.experimentalInvention">Experimental Invention</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let metadata of metadata; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/metadata', metadata.id, 'view']">{{ metadata.id }}</a>
          </td>
          <td>{{ metadata.cellLine }}</td>
          <td>{{ metadata.antibodiesUsed }}</td>
          <td>{{ metadata.fixationConditions }}</td>
          <td>{{ metadata.experimentalInvention }}</td>
          <td class="text-end">
            <div class="btn-group">
              <!-- <button
                type="submit"
                [routerLink]="['/metadata', metadata.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" csiTranslate="entity.action.view">View</span>
              </button> -->

              <button
                type="submit"
                [routerLink]="['/metadata', metadata.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" csiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(metadata)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" csiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="metadata && metadata.length > 0">
    <div class="d-flex justify-content-center">
      <csi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></csi-item-count>
    </div>

    <div class="d-flex justify-content-center">
      <ngb-pagination
        [collectionSize]="totalItems"
        [(page)]="ngbPaginationPage"
        [pageSize]="itemsPerPage"
        [maxSize]="5"
        [rotate]="true"
        [boundaryLinks]="true"
        (pageChange)="loadPage($event)"
      ></ngb-pagination>
    </div>
  </div>
</div>
